#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "sgl+.h"

#define stepmax 1000.
#define Lx   640
#define Ly   480

int main(int argc, char *argv[])
{
  int i,j,step;
  int blue,red ;

  int green, lightgrey, midnightblue, yellow ;

  char string1[10];
  char string2[128];
  char string3[10];
  float Phi[Lx][Ly];
  
  sgl_winsize(Lx,Ly);
  sgl_initm(2);
  blue = sgl_colordef("blue");
  red  = sgl_colordef("red");
	
  green = sgl_colordef("green");
  lightgrey = sgl_colordef("lightgrey") ;
  midnightblue = sgl_colordef("midnightblue") ;
  yellow = sgl_colordef("yellow") ;

  /* sgl_color(SGL_WHITE); */
  sgl_color(SGL_BLACK); 
  sgl_color_background(SGL_BLACK);
  
  for(step=0;step<stepmax;step++){
	
    /* for(i=0;i<Lx;i++){	for(j=0;j<Ly;j++){ Phi[i][j]=100; }} */
    
    for(j=0;j<Ly;j++)
    {
      for(i=0;i<Lx;i++)
      {
				Phi[i][j]=2;
      }
    }
    for(j=48;j<432;j++)
    {
      for(i=128;i<512;i++)
      {
				Phi[i][j]=(float)(i-128)/(512-128);
      }
    }
    //sgl_2D_scalar_field( *Phi ,lightgrey, midnightblue);
    //sgl_2D_scalar_field( *Phi ,yellow, midnightblue);

		sgl_select_win(0);
    sgl_2D_scalar_field( *Phi ,SGL_WHITE, blue);
		sgl_display();

		sgl_select_win(1);
    sgl_2D_scalar_field( *Phi ,SGL_WHITE, red);
		sgl_display();

    /*-----------------------------------------------------------------*/
    sprintf(string3,"Step");
    sprintf(string1,"%5.d",step );
    
    /* strcpy(string2,"6x10"); */
    /* strcpy(string2,"clB8x14"); */
    
    sgl_color(red);
    
    /*-----------------------------------------------------------------*/

    //sgl_display();
    if( step%1 == 0 )
    { 
      printf("Now Writing\n");
      /* sgl_window2ppm(); */
    }
    step++;
  }
  i=getchar();
}





